﻿@using System.Web
@using System.Security.Claims
@{
    ViewData["Title"] = "Welcome User";
    Layout = "_EmptyLayout";
    bool IsInitialLogin = ViewBag.IsInitialLogin;
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    var isAssistant = Convert.ToBoolean(ViewBag.IsAssistant);
    var area = role == Roles.FirmPrincipal ? "firm-principal" : role == Roles.FirmAdmin ? "firm-admin" : "adviser";
    var additionalRoles = ViewBag.additionalRoles;
    bool hasComplianceRole = !string.IsNullOrEmpty(additionalRoles) ? additionalRoles.Contains(AdminRoleEnum.Compliance.ToString()) : false;
    bool hasAdviserRole = !string.IsNullOrEmpty(additionalRoles) ? additionalRoles.Contains(Roles.Adviser) : false;

    var assistantPermissions = ViewBag.assistantPermissions;
    bool hasCPermission = !string.IsNullOrEmpty(assistantPermissions) ? assistantPermissions.Contains(((int)AssistantPermissionEnum.AssistantC).ToString()) : false;
    bool hasCQPermission = !string.IsNullOrEmpty(assistantPermissions) ? assistantPermissions.Contains(((int)AssistantPermissionEnum.AssistantCQ).ToString()) : false;
    bool hasIQPermission = !string.IsNullOrEmpty(assistantPermissions) ? assistantPermissions.Contains(((int)AssistantPermissionEnum.AssistantIQ).ToString()) : false;
    bool hasTQPermission = !string.IsNullOrEmpty(assistantPermissions) ? assistantPermissions.Contains(((int)AssistantPermissionEnum.AssistantTQ).ToString()) : false;
    var lastReleaseNote = (ReleaseNote)ViewBag.LastReleaseNote;
}
<div class="row no-gutters login login-2 login-signin-on bg-white" id="kt_login">
    <div class="col-sm-12 d-none d-lg-block d-xl-block d-xxl-block p-15" style="flex:64%;" id="message-board-message">
        @if (!string.IsNullOrEmpty(ViewBag.UserBoardMessage) || lastReleaseNote != null)
        {
            <div id="box" class="position-relative p-10">
                <div class="corner top left top-left"></div>
                <div class="corner top right top-right"></div>
                @if (!string.IsNullOrEmpty(ViewBag.UserBoardMessage))
                {
                    <div class="font-size-h3 text-warning">Message Board</div>
                    <div>@Html.Raw(ViewBag.UserBoardMessage)</div>
                }
                @if (lastReleaseNote != null)
                {
                    @if (!string.IsNullOrEmpty(ViewBag.UserBoardMessage))
                    {
                        <hr class="border-top border-primary" />
                    }
                    <div class="font-size-h3 text-warning">Release Note</div>
                    <div class="font-size-h5">@lastReleaseNote.ReleaseVersion - @lastReleaseNote.ReleaseDate.ToString("MMMM dd, yyyy")</div>
                    <div>@Html.Raw(lastReleaseNote.Note)</div>
                }
                <div class="corner bottom left bottom-left"></div>
                <div class="corner bottom right bottom-right"></div>
            </div>
        }
    </div>
    <div class="col-sm-12 d-flex flex-column min-vh-100" style="flex:36%">
        <a href="admin/account/userlogout" class="btn btn-sm btn-light-danger font-weight-bolder py-2 px-5" id="product-btn-sign-out">Sign Out <i class="icon-nm fas fa-sign-out-alt ml-1"></i></a>
        <div class="d-flex flex-row-fluid flex-column justify-content-between p-5">
            <div class="d-flex flex-column-fluid flex-column flex-center text-dark">
                <a href="javascript:;" class="mb-5 text-center">
                    <img src="~/images/logo.png" class="max-h-50px" alt="Logo" />
                </a>
                <div class="products-offer">
                    <div class="text-center mb-10 mb-lg-5 font-size-h3">
                        <p class="font-weight-bolder">Welcome @(!IsInitialLogin ? "back" : "") to LifeArcPlan.&nbsp; Financial success begins here.</p>
                        <p>@(!IsInitialLogin ? "Where would you like to start?" : "Let's get started.")</p>
                    </div>
                    <ul class="list-group list-group-flush font-size-h5" id="products-list">
                        @if (role == Roles.FirmPrincipal || role == Roles.FirmAdmin || role == Roles.Adviser)
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="user/dashboard">
                                    <span class="svg-icon menu-icon mr-2 ml-1">
                                        <i class="icon-lg fas fa-tachometer-alt text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Dashboard</span>
                                </a>
                            </li>
                        }
                        @if (role == Roles.SuperAdmin)
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="super-admin/firm-principal-list">
                                    <span class="svg-icon menu-icon mr-1">
                                        <i class="icon-xl fas fa-user-tie ml-1 text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Firm Principal List</span>
                                </a>
                            </li>
                        }
                        @if (role == Roles.SuperAdmin || role == Roles.FirmPrincipal)
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="@(role == Roles.SuperAdmin ? "super-admin/firm-admin-list" : $"{area}/firm-admin-list")">
                                    <span class="svg-icon menu-icon mr-3">
                                        <i class="icon-xl fas fa-user ml-1 text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Firm Admin List</span>
                                </a>
                            </li>
                        }
                        @if (role == Roles.SuperAdmin || role == Roles.FirmPrincipal || role == Roles.FirmAdmin)
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="@(role == Roles.SuperAdmin ? "super-admin/adviser-list" : $"{area}/adviser-list")">
                                    <span class="svg-icon menu-icon mr-1">
                                        <i class="icon-xl fas fa-users-cog text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Adviser List</span>
                                </a>
                            </li>
                        }
                        @if (role == Roles.SuperAdmin || role == Roles.FirmPrincipal || role == Roles.FirmAdmin || (role == Roles.Adviser && !isAssistant) || (isAssistant && hasCPermission))
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="@(role == Roles.SuperAdmin ? "super-admin/client-list" : $"{area}/client-list")">
                                    <span class="svg-icon menu-icon mr-1">
                                        <i class="icon-xl fas fa-users text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Client List</span>
                                </a>
                            </li>
                        }
                        @if (role == Roles.SuperAdmin)
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="super-admin/firm-affiliations">
                                    <span class="svg-icon menu-icon mr-1">
                                        <i class="icon-xl fas fa-handshake ml-1 text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Firm Affiliations</span>
                                </a>
                            </li>
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="super-admin/regulatory-documents">
                                    <span class="svg-icon menu-icon mr-1">
                                        <i class="icon-xl fas fa-clipboard-list ml-2 text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Regulatory Documents</span>
                                </a>
                            </li>
                        }
                        @if (role == Roles.FirmPrincipal || role == Roles.FirmAdmin || role == Roles.Adviser)
                        {
                            if (role != Roles.Adviser || isAssistant && hasCPermission || (role == Roles.Adviser && !isAssistant))
                            {
                                <li class="list-group-item bg-hover-light-primary">
                                    <a href="user/client-arc-hive">
                                        <img src="/images/products/arc-hive-document-vault.png" class="h-25px mr-1">
                                        <span class="menu-text font-weight-bold ml-1">Client ArcHive</span>
                                    </a>
                                </li>
                            }
                            @if (!hasComplianceRole)
                            {
                                if (role != Roles.Adviser || isAssistant && hasCQPermission || (role == Roles.Adviser && !isAssistant))
                                {
                                    <li class="list-group-item bg-hover-light-primary">
                                        <a href="adviser/compliance-documents">
                                            <span class="svg-icon menu-icon mr-3" style="margin-left: 5px;">
                                                <i class="icon-xl fas fa-clipboard-list text-navi"></i>
                                            </span>
                                            <span class="menu-text font-weight-bold">Compliance Queue</span>
                                        </a>
                                    </li>
                                }
                                if (role != Roles.Adviser || isAssistant && hasIQPermission || (role == Roles.Adviser && !isAssistant))
                                {
                                    <li class="list-group-item bg-hover-light-primary pt-1 pb-2">
                                        <a href="adviser/insurance-documents">
                                            <span class="svg-icon menu-icon mr-2" style="margin-left: 5px;">
                                                <i class="icon-xl fi flaticon-safe-shield-protection text-navi"></i>
                                            </span>
                                            <span class="menu-text font-weight-bold">Insurance Queue</span>
                                        </a>
                                    </li>
                                }
                            }
                        }
                        @if (hasComplianceRole)
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="@(role == Roles.FirmPrincipal ? "firm-principal" : "firm-admin")/compliance-documents">
                                    <span class="svg-icon menu-icon mr-3" style="margin-left: 5px;">
                                        <i class="icon-xl fas fa-clipboard-list text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Compliance Queue</span>
                                </a>
                            </li>
                            <li class="list-group-item bg-hover-light-primary pt-1 pb-2">
                                <a href="@(role == Roles.FirmPrincipal ? "firm-principal" : "firm-admin")/insurance-documents">
                                    <span class="svg-icon menu-icon mr-2" style="margin-left: 5px;">
                                        <i class="icon-xl fi flaticon-safe-shield-protection text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Insurance Queue</span>
                                </a>
                            </li>
                        }
                        @if (hasAdviserRole || isAssistant && hasTQPermission || (role == Roles.Adviser && !isAssistant))
                        {
                            <li class="list-group-item bg-hover-light-primary pb-2">
                                <a href="user/tax-documents">
                                    <img src="/images/products/tax-icon.png" class="ml-1" style="height:23px">
                                    <span class="menu-text font-weight-bold ml-2">Tax Prep Queue</span>
                                </a>
                            </li>
                        }
                        @if (!isAssistant && (role == Roles.Adviser || hasAdviserRole))
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="@area/assistant-list">
                                    <span class="svg-icon menu-icon mr-1">
                                        <i class="icon-xl fas fa-users-cog text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold">Assistant Management</span>
                                </a>
                            </li>
                        }
                        @if (role == Roles.FirmPrincipal || role == Roles.FirmAdmin || role == Roles.Adviser)
                        {
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="user/activities">
                                    <span class="svg-icon menu-icon mr-2 ml-2">
                                        <i class="icon-md flaticon-event-calendar-symbol text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold ml-1">Activities</span>
                                </a>
                            </li>
                            <li class="list-group-item bg-hover-light-primary">
                                <a href="user/client-acquisition-pipeline">
                                    <span class="svg-icon menu-icon mr-1 ml-3">
                                        <i class="icon-md flaticon-sound text-navi"></i>
                                    </span>
                                    <span class="menu-text font-weight-bold ml-1">Client Acquisition Pipeline</span>
                                </a>
                            </li>
                        }
                    </ul>
                </div>
            </div>
        </div>
        <div class="mt-auto" id="foot">
            <partial name="_Footer" />
        </div>
    </div>
</div>
<style>
    #product-btn-sign-out {
        right: 20px;
        top: 15px;
        position: absolute;
    }

    #message-board-message > * {
        color: #fff !important;
    }

    #box > div.corner {
        display: block;
        position: absolute;
        width: 35px;
        height: 35px;
        color: #3c9fd5;
    }

    #products-list a {
        color: #3ba2d9 !important;
        font-weight: 500;
    }

    .top {
        top: 0px;
        border-top-style: solid;
    }

    .bottom {
        bottom: 0px;
        border-bottom-style: solid;
    }

    .left {
        left: 0px;
        border-left-style: solid;
    }

    .right {
        right: 0px;
        border-right-style: solid;
    }

    .top-left {
        border-top-left-radius: 10px;
    }

    .top-right {
        border-top-right-radius: 10px;
    }

    .bottom-left {
        border-bottom-left-radius: 10px;
    }

    .bottom-right {
        border-bottom-right-radius: 10px;
    }

    #message-board-message::-webkit-scrollbar {
        width: 5px !important;
    }

    #message-board-message::-webkit-scrollbar-corner {
        background: #23588d !important;
    }
</style>
@section scripts{
    <script>
        $("#message-board-message a").each(function (i, item) {
            var href = $(this).attr("href");
            if (isValidURL(href))
                $(this).attr('target', '_blank');
            if (!isValidURL(href))
                $(this).attr("href", `javascript:`);
            else if (!href.includes("http"))
                $(this).attr("href", `http://${href}`);
        });
    </script>
}